Přeskočit navigaci
NYNÍ K DISPOZICI

Azure IoT Edge, verze 1.0.5

Datum publikování: 19 prosince, 2018
Aktualizace 1.0.5 služby Azure IoT Edge obsahuje následující vylepšení.
 
Stabilita pro všechny operační systémy
V centru Edge a iotedged bylo vyřešeno několik chyb. (Kompletní seznam změn najdete v poznámkách k verzi na GitHubu.) Zejména jsme:
  • Vylepšili informace uváděné v chybových zprávách.
  • Nastavili období časového limitu jako konfigurovatelné. To je užitečné hlavně pro zařízení s pomalým připojením, kde se operace nedokončí tak rychle jako u připojení s velkou šířkou pásma. 
Edge ve Windows
Verze 1.0.5 je verzí Release Candidate pro IoT Edge ve Windows x64 (minimální verze RS5). Tato verze významným způsobem odstraňuje rozdíly mezi moduly ve Windows a Linuxu. Konkrétně moduly ve Windows teď můžou využívat podobné funkce zabezpečení v operačním systému, spouštět se s využitím výkonných kontejnerů izolovaných procesů a přistupovat k hardwaru, jako je sériový port, SPI, GPIO a urychlení pomocí GPU, s využitím WinML. Agent Edge a centrum Edge teď jako hostovaný operační systém v kontejneru využívají RS5. Má to následující důsledky:
  • Stávající zařízení, která jako hostitelský operační systém využívají RS4 a používají IoT Edge 1.0.4, nebudou ovlivněná.
  • Stávající zařízení, která upgradují hostitelský operační systém z RS4 na RS5 a používají IoT Edge 1.0.4, nebudou ovlivněná.
  • Nová zařízení, která jako hostitelský operační systém využívají RS5, budou správně fungovat s IoT Edge 1.0.5.
  • Zařízení nemůžou jako hostitelský operační systém pro IoT Edge 1.0.5 využívat RS4.
Uživatelé vytvářející moduly Java nebo Node by měli zůstat u verze 1.0.4, dokud se sady Java SDK a Node SDK neaktualizují tak, aby podporovaly IoT Edge 1.0.5 ve Windows RS5.
 
Proces démon zabezpečení je aktualizovaný tak, aby při provádění toku ověřování DPS používat místo simulovaných zařízení TPM fyzická zařízení TPM.
 
Nástroje sady Visual Studio a VS Code se aktualizovaly tak, aby fungovaly s IoT Edge 1.0.5. Uživatelé Windows, kteří chtějí dál používat verzi 1.0.4, musí postupovat podle pokynů podrobně popsaných v tomto blogovém příspěvku.
 
  • Features